import React from 'react';
import { View, Text, StyleSheet } from 'react-native';

export default function Logo() {
  return (
    <View>
      <Text style={styles.logoText}>
        <Text style={styles.logoPoint}>T</Text>raffic
        <Text style={styles.logoPoint}>A</Text>gent
      </Text>
    </View>
  );
}

const styles = StyleSheet.create({
  logoText: {
    fontSize: 50,
    color: '#333333',
    fontWeight: 'bold',
    textAlign: 'center',
    marginBottom: 30,
  },
  logoPoint: {
    color: '#3872ef',
  },
});
