import Button from '../component/Button';
import {View, StyleSheet, Text, ScrollView} from 'react-native';
import Input from '../component/Input';
import {container,pageTitleBox,pageTitle} from './../resoureces/styles/GlobalStyles';

export default function FindPassword({useNavigation}) {
  return (
    <View style={{flex: 1}}>
      <View style={pageTitleBox}>
        <Text style={pageTitle}>비밀번호 찾기</Text>
      </View>
      <View style={container}>
        <ScrollView>
          <View>
            <Text style={styles.subTitle}>비밀번호를 찾으려는 아이디</Text>
            <Input placeholder={'아이디'} />
            <Button
              title={'확인'}
              backgroundColor={'#000000'}
              padding={10}
              borderRadius={50}
              marginBottom={10}
              color={'#ffffff'}
              textAlign={'center'}
              onPress={'FindPasswordCheck'}
            />
          </View>
        </ScrollView>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  title: {
    fontSize: 20,
    marginBottom: 10,
  },
  subTitle: {
    marginBottom: 10,
  },
});
