from flask import Flask
from flask_restx import Api
from auth import Auth
from action import Action




app = Flask(__name__)


print("Api Start")
api = Api(    app,
    version='0.1',
    title="trafficagent",
    description="API Server",
    terms_url="/",
    contact="dhlim@takensoft.co.kr",
    license="MIT")



api.add_namespace(Auth, '/auth')
print("Api Add Auth")

api.add_namespace(Action, '/action')

if __name__ == "__main__":
    app.run(debug=False, host='0.0.0.0', port=8080)
    print("Flask Start")