import React from 'react';
// import {PermissionsAndroid} from 'react-native';
import {GestureHandlerRootView} from 'react-native-gesture-handler';
import AuthProvider from './src/context/AuthContext';
import MapProvider from './src/context/MapContext';
import AppNav from './src/navigator/AppNav';

export default function App() {

  return (
    <AuthProvider>
      <MapProvider>
        <GestureHandlerRootView style={{flex: 1}}>
          <AppNav />
        </GestureHandlerRootView>
      </MapProvider>
    </AuthProvider>
  );
}
